## golang-github-shopify-sarama 1.8.0

=== Makefile ===
default: fmt vet errcheck test

test:
	go test -v -timeout 60s -race ./...

vet:
	go vet ./...

errcheck:
	@if go version | grep -q go1.5; then errcheck github.com/Shopify/sarama/...; fi

fmt:
	@if [ -n "$$(go fmt ./...)" ]; then echo 'Please run go fmt on your code.' && exit 1; fi

install_dependencies: install_errcheck install_go_vet get

install_errcheck:
	@if go version | grep -q go1.5; then go get github.com/kisielk/errcheck; fi

install_go_vet:
	go get golang.org/x/tools/cmd/vet

get:
	go get -t

=== debian/changelog ===
golang-github-shopify-sarama (1.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #818594).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 18 Mar 2016 22:50:39 +1100

=== debian/control ===
Source: golang-github-shopify-sarama
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
    golang-github-davecgh-go-spew-dev,
    golang-gopkg-eapache-go-resiliency.v1-dev | golang-github-eapache-go-resiliency-dev,
    golang-gopkg-eapache-queue.v1-dev | golang-github-eapache-queue-dev,
    golang-github-golang-snappy-dev,
    golang-github-klauspost-crc32-dev,
    toxiproxy-dev | golang-github-shopify-toxiproxy-dev
Standards-Version: 3.9.7
Homepage: https://github.com/Shopify/sarama
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-shopify-sarama.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-shopify-sarama.git
XS-Go-Import-Path: github.com/Shopify/sarama

Package: golang-github-shopify-sarama-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
    golang-github-davecgh-go-spew-dev,
    golang-gopkg-eapache-go-resiliency.v1-dev | golang-github-eapache-go-resiliency-dev,
    golang-gopkg-eapache-queue.v1-dev | golang-github-eapache-queue-dev,
    golang-github-golang-snappy-dev,
    golang-github-klauspost-crc32-dev,
    toxiproxy-dev | golang-github-shopify-toxiproxy-dev
Description: Go library for Apache Kafka
 Sarama is a Go client library for Apache Kafka (https://kafka.apache.org/)
 version 0.8 (and later).

## golang-github-shopify-sarama 1.9.0

=== Makefile ===
default: fmt vet errcheck test

test:
	go test -v -timeout 60s -race ./...

vet:
	go vet ./...

errcheck:
	errcheck github.com/Shopify/sarama/...

fmt:
	@if [ -n "$$(go fmt ./...)" ]; then echo 'Please run go fmt on your code.' && exit 1; fi

install_dependencies: install_errcheck get

install_errcheck:
	go get github.com/kisielk/errcheck

get:
	go get -t

=== debian/changelog ===
golang-github-shopify-sarama (1.9.0-2) unstable; urgency=medium

  [ Tim Potter ]
  * Add me to uploaders

  [ David Lazăr ]
  * Add fix-alignment.patch. (Closes: #860705)
  * Add myself to uploaders.

 -- David Lazăr <dlazar@gmail.com>  Sat, 06 May 2017 16:34:06 +0200

golang-github-shopify-sarama (1.9.0-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 3.9.8.
  * Disabled functional tests due to build-time network access
    (Closes: #830676).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Jul 2016 18:53:25 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>, David Lazăr <dlazar@gmail.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,
@@ -12,10 +12,10 @@
     golang-github-golang-snappy-dev,
     golang-github-klauspost-crc32-dev,
     toxiproxy-dev | golang-github-shopify-toxiproxy-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/Shopify/sarama
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-shopify-sarama.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-shopify-sarama.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-shopify-sarama.git
 XS-Go-Import-Path: github.com/Shopify/sarama
 
 Package: golang-github-shopify-sarama-dev

## golang-github-shopify-sarama 1.16.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,15 @@
 default: fmt vet errcheck test
 
+# Taken from https://github.com/codecov/example-go#caveat-multiple-files
 test:
-	go test -v -timeout 60s -race ./...
+	echo "" > coverage.txt
+	for d in `go list ./... | grep -v vendor`; do \
+		go test -v -timeout 60s -race -coverprofile=profile.out -covermode=atomic $$d; \
+		if [ -f profile.out ]; then \
+			cat profile.out >> coverage.txt; \
+			rm profile.out; \
+		fi \
+	done
 
 vet:
 	go vet ./...

=== debian/changelog ===
golang-github-shopify-sarama (1.16.0-1) unstable; urgency=medium

  * New upstream release (Closes: #840627)
  * Switch to debhelper 11
  * Standards-Version: 4.1.3
  * Enable Go autopkgtests
  * Add myself to Uploaders
  * Drop alignment patch, merged upstream
  * Add missing dependencies
  * Introduce 3 patches fixing broken and flaky tests (Closes: 865798)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 13 Mar 2018 14:34:01 +0200

=== debian/control ===
Source: golang-github-shopify-sarama
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           David Lazăr <dlazar@gmail.com>,
           Christos Trochalakis <ctrochalakis@debian.org>,
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-github-davecgh-go-spew-dev,
               golang-github-eapache-go-xerial-snappy-dev,
               golang-github-golang-snappy-dev,
               golang-github-klauspost-crc32-dev,
               golang-github-pierrec-lz4-dev,
               golang-github-rcrowley-go-metrics-dev,
               golang-go,
               golang-gopkg-eapache-go-resiliency.v1-dev | golang-github-eapache-go-resiliency-dev,
               golang-gopkg-eapache-queue.v1-dev | golang-github-eapache-queue-dev,
               toxiproxy-dev | golang-github-shopify-toxiproxy-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/Shopify/sarama
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-shopify-sarama.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-shopify-sarama.git
XS-Go-Import-Path: github.com/Shopify/sarama
Testsuite: autopkgtest-pkg-go

Package: golang-github-shopify-sarama-dev
Architecture: all
Depends: golang-github-davecgh-go-spew-dev,
         golang-github-eapache-go-xerial-snappy-dev,
         golang-github-golang-snappy-dev,
         golang-github-klauspost-crc32-dev,
         golang-github-pierrec-lz4-dev,
         golang-github-rcrowley-go-metrics-dev,
         golang-go,
         golang-gopkg-eapache-go-resiliency.v1-dev | golang-github-eapache-go-resiliency-dev,
         golang-gopkg-eapache-queue.v1-dev | golang-github-eapache-queue-dev,
         toxiproxy-dev | golang-github-shopify-toxiproxy-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Go library for Apache Kafka
 Sarama is a Go client library for Apache Kafka (https://kafka.apache.org/)
 version 0.8 (and later).

## golang-github-shopify-sarama 1.17.0

=== debian/changelog ===
golang-github-shopify-sarama (1.17.0-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org

  [ Christos Trochalakis ]
  * New upstream release
  * Drop all debian patches now included upstream
  * Bump Standards-Version to 4.1.4, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Mon, 18 Jun 2018 09:35:13 +0300

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
                golang-gopkg-eapache-go-resiliency.v1-dev | golang-github-eapache-go-resiliency-dev,
                golang-gopkg-eapache-queue.v1-dev | golang-github-eapache-queue-dev,
                toxiproxy-dev | golang-github-shopify-toxiproxy-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/Shopify/sarama
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-shopify-sarama.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-shopify-sarama.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shopify-sarama
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shopify-sarama.git
 XS-Go-Import-Path: github.com/Shopify/sarama
 Testsuite: autopkgtest-pkg-go

## golang-github-shopify-sarama 1.19.0

=== debian/changelog ===
golang-github-shopify-sarama (1.19.0-1) unstable; urgency=medium

  * New upstream release
  * Disable consumer group functional tests

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 09 Oct 2018 16:54:29 +0300

golang-github-shopify-sarama (1.18.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 20 Sep 2018 15:00:57 +0300

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                golang-gopkg-eapache-go-resiliency.v1-dev | golang-github-eapache-go-resiliency-dev,
                golang-gopkg-eapache-queue.v1-dev | golang-github-eapache-queue-dev,
                toxiproxy-dev | golang-github-shopify-toxiproxy-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/Shopify/sarama
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shopify-sarama
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shopify-sarama.git

## golang-github-shopify-sarama 1.20.0

=== debian/changelog ===
golang-github-shopify-sarama (1.20.0-1) unstable; urgency=medium

  * Bump Standards-Version, no changes needed
  * Build depend on golang-github-datadog-zstd-dev (zstandard support)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 03 Jan 2019 19:08:47 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
            Christos Trochalakis <ctrochalakis@debian.org>,
 Build-Depends: debhelper (>= 11),
                dh-golang,
+               golang-github-datadog-zstd-dev,
                golang-github-davecgh-go-spew-dev,
                golang-github-eapache-go-xerial-snappy-dev,
                golang-github-golang-snappy-dev,
@@ -18,7 +19,7 @@
                golang-gopkg-eapache-go-resiliency.v1-dev | golang-github-eapache-go-resiliency-dev,
                golang-gopkg-eapache-queue.v1-dev | golang-github-eapache-queue-dev,
                toxiproxy-dev | golang-github-shopify-toxiproxy-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/Shopify/sarama
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shopify-sarama
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shopify-sarama.git

## golang-github-shopify-sarama 1.20.1

=== debian/changelog ===
golang-github-shopify-sarama (1.20.1-2) unstable; urgency=medium

  * Removed "toxiproxy-dev" from (Build-)Depends.
    (Toxiproxy was removed from "unstable" as per #940453).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 16 Oct 2019 23:52:31 +1100

golang-github-shopify-sarama (1.20.1-1) unstable; urgency=medium

  * New upstream release

 -- Christos Trochalakis <ctrochalakis@debian.org>  Fri, 25 Jan 2019 15:17:30 +0200

golang-github-shopify-sarama (1.20.0-2) unstable; urgency=medium

  * Add missing Depends on golang-github-datadog-zstd-dev (Closes: #918511)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 09 Jan 2019 15:08:00 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
                golang-go,
                golang-gopkg-eapache-go-resiliency.v1-dev | golang-github-eapache-go-resiliency-dev,
                golang-gopkg-eapache-queue.v1-dev | golang-github-eapache-queue-dev,
-               toxiproxy-dev | golang-github-shopify-toxiproxy-dev,
 Standards-Version: 4.3.0
 Homepage: https://github.com/Shopify/sarama
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shopify-sarama
@@ -28,7 +27,8 @@
 
 Package: golang-github-shopify-sarama-dev
 Architecture: all
-Depends: golang-github-davecgh-go-spew-dev,
+Depends: golang-github-datadog-zstd-dev,
+         golang-github-davecgh-go-spew-dev,
          golang-github-eapache-go-xerial-snappy-dev,
          golang-github-golang-snappy-dev,
          golang-github-klauspost-crc32-dev,
@@ -37,7 +37,6 @@
          golang-go,
          golang-gopkg-eapache-go-resiliency.v1-dev | golang-github-eapache-go-resiliency-dev,
          golang-gopkg-eapache-queue.v1-dev | golang-github-eapache-queue-dev,
-         toxiproxy-dev | golang-github-shopify-toxiproxy-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Go library for Apache Kafka

## golang-github-shopify-sarama 1.22.1

=== Makefile ===
export GO111MODULE=on

default: fmt vet errcheck test lint

# Taken from https://github.com/codecov/example-go#caveat-multiple-files
.PHONY: test
test:
	echo "" > coverage.txt
	for d in `go list ./...`; do \
		go test -p 1 -v -timeout 240s -race -coverprofile=profile.out -covermode=atomic $$d || exit 1; \
		if [ -f profile.out ]; then \
			cat profile.out >> coverage.txt; \
			rm profile.out; \
		fi \
	done

GOLINT := $(shell command -v golint)

.PHONY: lint
lint:
ifndef GOLINT
	go get golang.org/x/lint/golint
endif
	go list ./... | xargs golint

.PHONY: vet
vet:
	go vet ./...

ERRCHECK := $(shell command -v errcheck)
# See https://github.com/kisielk/errcheck/pull/141 for details on ignorepkg
.PHONY: errcheck
errcheck:
ifndef ERRCHECK
	go get github.com/kisielk/errcheck
endif
	errcheck -ignorepkg fmt github.com/Shopify/sarama/...

.PHONY: fmt
fmt:
	@if [ -n "$$(go fmt ./...)" ]; then echo 'Please run go fmt on your code.' && exit 1; fi

.PHONY : install_dependencies
install_dependencies: get

.PHONY: get
get:
	go get -t -v ./...

.PHONY: clean
clean:
	go clean ./...

=== debian/changelog ===
golang-github-shopify-sarama (1.22.1-1) unstable; urgency=medium

  * New upstream release
  * golang-go --> golang-any
  * Standards-Version: 4.4.1
  * DH to version 12
  * (Build-)Depends:
    + golang-github-klauspost-compress-dev
    + golang-golang-x-net-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Dec 2019 10:02:57 +1100

=== debian/control ===
Source: golang-github-shopify-sarama
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           David Lazăr <dlazar@gmail.com>,
           Christos Trochalakis <ctrochalakis@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
    golang-github-datadog-zstd-dev,
    golang-github-davecgh-go-spew-dev,
    golang-github-eapache-go-xerial-snappy-dev,
    golang-github-golang-snappy-dev,
    golang-github-klauspost-compress-dev,
    golang-github-klauspost-crc32-dev,
    golang-github-pierrec-lz4-dev,
    golang-github-rcrowley-go-metrics-dev,
    golang-golang-x-net-dev,
    golang-gopkg-eapache-go-resiliency.v1-dev | golang-github-eapache-go-resiliency-dev,
    golang-gopkg-eapache-queue.v1-dev | golang-github-eapache-queue-dev,
Standards-Version: 4.4.1
Homepage: https://github.com/Shopify/sarama
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shopify-sarama
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shopify-sarama.git
XS-Go-Import-Path: github.com/Shopify/sarama
Testsuite: autopkgtest-pkg-go

Package: golang-github-shopify-sarama-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-datadog-zstd-dev,
    golang-github-davecgh-go-spew-dev,
    golang-github-eapache-go-xerial-snappy-dev,
    golang-github-golang-snappy-dev,
    golang-github-klauspost-compress-dev,
    golang-github-klauspost-crc32-dev,
    golang-github-pierrec-lz4-dev,
    golang-github-rcrowley-go-metrics-dev,
    golang-golang-x-net-dev,
    golang-gopkg-eapache-go-resiliency.v1-dev | golang-github-eapache-go-resiliency-dev,
    golang-gopkg-eapache-queue.v1-dev | golang-github-eapache-queue-dev,
Description: Go library for Apache Kafka
 Sarama is a Go client library for Apache Kafka (https://kafka.apache.org/)
 version 0.8 (and later).

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES = examples tools

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
# uscan(1) configuration file.
version=3

 https://github.com/Shopify/sarama/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz
